Subject: Re: [PATCH v1] net: phy: fix motorcomm module automatic loading

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 1 Mar 2022 00:14:38 +0000

On Mon, Feb 28, 2022 at 06:30:57PM -0500, Peter Geis wrote:
> The sentinel compatible entry whitespace causes automatic module loading
> to fail with certain userspace utilities. Fix this by removing the
> whitespace and sentinel comment, which is unnecessary.

Umm. How does it fail?

>  static const struct mdio_device_id __maybe_unused motorcomm_tbl[] = {
>  	{ PHY_ID_MATCH_EXACT(PHY_ID_YT8511) },
> -	{ /* sentinal */ }
> +	{}

These two should be 100% identical in terms of the object code produced,
and thus should have no bearing on the ability for the module to be
loaded.

Have you investigated the differences in the produced object code?
If not, please do so, and describe what they were. Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!